// Skarbonka.cpp: implementation of the Skarbonka class.
//
//////////////////////////////////////////////////////////////////////

#include "Skarbonka.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Skarbonka::Skarbonka()
{
	aktywa=0;
}

void Skarbonka::Wrzuc_co_laska(int ile)
{
 aktywa+=ile;
}

int Skarbonka::Ile_w_skarbonce() 
{
 return aktywa;
}

int Skarbonka::Wyjmij_gotowke(unsigned int ile)
{
	if(unsigned(aktywa)>ile)
	{
		aktywa-=ile;
	}
	else
	{
		ile=aktywa;
		aktywa=0;
	}
	return ile;
}
